#!/usr/bin/env python
import matplotlib
matplotlib.use("agg")
from matplotlib import pylab as plt
import numpy as np

Fmax=np.array([
    #  1st    2nd    3rd    4th
    [0.7840,0.7257,0.7021,0.5138], # COFACTOR
    [0.5488,0.4773,0.4495,0.2239], # PSIBLAST
    [0.3966,0.2740,0.2427,0.1094], # BLAST
])

TPR=np.array([
    #  1st    2nd    3rd    4th
    [0.7743,0.6760,0.6429,0.4482], # COFACTOR
    [0.7900,0.5919,0.4876,0.2744], # PSIBLAST
    [0.4671,0.3053,0.2391,0.1128], # BLAST
])

method_list=["COFACTOR","PSIBLAST","BLAST"]
aspect_list=["first digit","first 2 digits","first 3 digits","all 4 digits"]

width = 0.27       # the width of the bars
#color_list=['#55AAFF','#FFAA55','#AAAAAA']
color_list=['#222222','c','y']
ind=np.arange(len(aspect_list))

fig = plt.figure()
ax = fig.add_subplot(111)

rects=[]
for m,method in enumerate(method_list):
    rects.append(ax.bar(ind+(0.35+m)*width, 
    Fmax[m,:], width*0.9, color=color_list[m],edgecolor=''))

ax.set_ylabel('Fmax')
ax.set_xticks(ind+width*1.8)
ax.set_xticklabels( aspect_list)
ax.legend( method_list)

for outfmt in ["png","svg","eps"]:
    plt.savefig("EC_bar.%s"%outfmt,dpi=400)
